Generate Sumsub ID share link

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Overview

Use this method to request a share link before opening the share consent screen for the Sumsub ID Connect – Partner sharing.

Request example

curl -X POST \
     'https://api.sumsub.com/resources/snsId/oauth/shareLink' \
     -H 'Authorization: Bearer token' \
     -H 'X-App-Token: <your-app-token>' \
     -H 'X-App-Access-Sig: <your-signature>' \
     -H 'X-App-Access-Ts: <unix-timestamp>' \
     -d '{
             "redirectUri": "<your_redirect_uri>",
             "forClientId": "CoolCompanyLtd",
             "displayMode": "page",
             "state": "<your_custom_state>"
         }'

Response explained

Sumsub validates the request, checks redirectUri against the allowlist, and generates a share page URL.

🚧

Attention

The generated link expires in 5 minutes.

Response example

{
  "link": "https://id.sumsub.com/share/<link_id>"
}

Body Params
Headers
Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here!